Skip to content

List options

View as Markdown
get /api/products/{productId}/product_options

Retrieves the collection of Product Option resources.

Returns the options declared on a product, ordered by position. Set the Flowkiwi-Locale header to read translatable title values in a given locale.

Headers

NameTypeRequiredDescription
Flowkiwi-Localestring-Specifies the locale for properties that support localization. If not provided, the default locale will be used.

Path parameters

NameTypeRequiredDescription
productIdstringrequiredProductResource identifier

Query parameters

NameTypeRequiredDescription
properties[]string[]-Allows you to reduce the response to contain only the properties you need. If your desired property is nested, you can address it using nested arrays. Example: properties[]={propertyName}&properties[]={anotherPropertyName}&properties[{nestedPropertyParent}][]={nestedProperty}
id[]string[]-Only the items with one of these ids, each a UUID or the item IRI.
titlestring-Filter on the translated "title" field (case-insensitive partial match, uses the Flowkiwi-Locale header).
order[title]string-Order by translated field "title" (uses the Flowkiwi-Locale header)
order[createdAt]string-Product Option order[createdAt]
order[updatedAt]string-Product Option order[updatedAt]

Response

200 - Product Option collection

PropertyTypeRequiredDescription
searchobject-
Show search fields
PropertyTypeRequiredDescription
@typestring-
mappingobject[]-
Show mapping fields
PropertyTypeRequiredDescription
@typestring-
propertystring | null-
requiredboolean-
variablestring-
templatestring-
variableRepresentationstring-
totalItemsinteger-
memberProduct.Option[]required
Show member fields
PropertyTypeRequiredDescription
@contextstring | object-
@idstringrequired
@typestringrequired
createdAtstring-The date and time when the resource was created (ISO 8601 format).
idstring-The resource's unique identifier (UUID).
positioninteger-The position of the product option. Use -1 to put the product option at the end.
productstring | nullrequiredThe Product to which this option belongs. Requires the products:read scope. Returned null when the scope is missing.
titlestring | null-This property supports translations.

The name of the product option.
updatedAtstring-The date and time when the resource was last modified (ISO 8601 format).

Errors

403 - Access denied. The caller is missing one or more permissions required for this operation.

Content-Type: application/problem+json

PropertyTypeRequiredDescription
@contextstring | object-
@idstringrequired
@typestringrequired
detailstring-
missingPermissionsstring[]-Permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied permission.
statusinteger-
titlestring-
typestring-